Package ghidra.app.util.bin.format.macho.commands

# Class SegmentNames

java.lang.Object
ghidra.app.util.bin.format.macho.commands.SegmentNames

public final class SegmentNames extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SEG_DATA`
  the traditional UNIX data segment
  `static final String`
  `SEG_ICON`
  the icon segment
  `static final String`
  `SEG_IMPORT`
  the segment for the self (dyld) modifying code stubs that has read, write and execute permissions
  `static final String`
  `SEG_LINKEDIT`
  the segment containing all structs created and maintained by the link editor.
  `static final String`
  `SEG_OBJC`
  objective-C runtime segment
  `static final String`
  `SEG_PAGEZERO`
  the pagezero segment which has no protections and catches NULL references for MH_EXECUTE files
  `static final String`
  `SEG_PRELINK_TEXT`
  `static final String`
  `SEG_TEXT`
  the traditional UNIX text segment
  `static final String`
  `SEG_TEXT_EXEC`
  `static final String`
  `SEG_UNIXSTACK`
  the unix stack segment

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SegmentNames()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SEG_PAGEZERO

    public static final String SEG_PAGEZERO
    the pagezero segment which has no protections and catches NULL references for MH_EXECUTE files
    See Also:
      - Constant Field Values

  - ### SEG_TEXT

    public static final String SEG_TEXT
    the traditional UNIX text segment
    See Also:
      - Constant Field Values

  - ### SEG_DATA

    public static final String SEG_DATA
    the traditional UNIX data segment
    See Also:
      - Constant Field Values

  - ### SEG_OBJC

    public static final String SEG_OBJC
    objective-C runtime segment
    See Also:
      - Constant Field Values

  - ### SEG_ICON

    public static final String SEG_ICON
    the icon segment
    See Also:
      - Constant Field Values

  - ### SEG_LINKEDIT

    public static final String SEG_LINKEDIT
    the segment containing all structs created and maintained by the link editor. Created with -seglinkedit option to ld(1) for MH_EXECUTE and FVMLIB file types only
    See Also:
      - Constant Field Values

  - ### SEG_UNIXSTACK

    public static final String SEG_UNIXSTACK
    the unix stack segment
    See Also:
      - Constant Field Values

  - ### SEG_IMPORT

    public static final String SEG_IMPORT
    the segment for the self (dyld) modifying code stubs that has read, write and execute permissions
    See Also:
      - Constant Field Values

  - ### SEG_TEXT_EXEC

    public static final String SEG_TEXT_EXEC
    See Also:
      - Constant Field Values

  - ### SEG_PRELINK_TEXT

    public static final String SEG_PRELINK_TEXT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SegmentNames

    public SegmentNames()